VNX Unisphere Java Issues

java_foreverIf you are a systems engineer, I’m sure you have to deal with Java compatibility issues all the time as I do. You install a certain Java version to fix one client and it immediately brakes another one.

I reached a new level of ridiculousness when I had a customer with two EMC storage arrays, VNX1 in production and VNX2 at DR. One Java version worked for Unsiphere client on VNX1, but broke VNX2 client and vice versa.

This was quite painful until I found a solution on EMC community forums. There is a Java version which works for both arrays and it’s Java 7u51. I have tested it on the following Block OEs and it works like a charm:

  • VNX1 Block OE 05.32.000.5.209
  • VNX2 Block OE 05.33.008.5.119

Let me know if this helped you as well.

Advertisements

Tags: , , , , , , ,

2 Responses to “VNX Unisphere Java Issues”

  1. Manny Says:

    we have a VNX2 Block OE 05.33.008.5.119 and stumbled into a similar issue. Java 7u51 saved the day for me. Thanks heaps for sharing your findings.

Leave a Reply

Fill in your details below or click an icon to log in:

WordPress.com Logo

You are commenting using your WordPress.com account. Log Out / Change )

Twitter picture

You are commenting using your Twitter account. Log Out / Change )

Facebook photo

You are commenting using your Facebook account. Log Out / Change )

Google+ photo

You are commenting using your Google+ account. Log Out / Change )

Connecting to %s


%d bloggers like this: